Index: iolib/rawio.c
===================================================================
--- iolib/rawio.c	(revision b8080f695fcc24dc108f603131b9e7d11393920f)
+++ iolib/rawio.c	(revision 06ccda27cf5f75746fcc4136947567c493a00bec)
@@ -71,9 +71,9 @@
 int
 readln(unit,nc,ctl,nb,buf)
-int unit;
-int nc;
-char *ctl;
-int nb;
-char *buf;
+int unit;	/* logical unit number 1..4 */
+int nc;		/* length of control string ctl */
+char *ctl;	/* control string pointer */
+int nb;		/* buffer limit */
+char *buf;	/* buffer pointer (at least nb+1 bytes) */
 {
 	register char *cp;
@@ -112,7 +112,7 @@
 int
 getln(unit,nb,buf)
-int unit;
-int nb;
-char *buf;
+int unit;	/* logical unit number 1..4 */
+int nb;		/* buffer limit */
+char *buf;	/* buffer pointer */
 {
 	register char *bp;
@@ -181,7 +181,7 @@
 int
 getrln(unit,nb,buf)
-int unit;
-int nb;
-char *buf;
+int unit;	/* logical unit number 1..4 */
+int nb;		/* buffer limit */
+char *buf;	/* buffer pointer */
 {
 	register char *bp;
@@ -227,6 +227,6 @@
 
 writeln(unit,buf)
-int unit;
-char *buf;
+int unit;	/* logical unit number 0..4 */
+char *buf;	/* buffer pointer */
 {
 	register char *bp;
Index: iolib/sprintf.c
===================================================================
--- iolib/sprintf.c	(revision b8080f695fcc24dc108f603131b9e7d11393920f)
+++ iolib/sprintf.c	(revision 06ccda27cf5f75746fcc4136947567c493a00bec)
@@ -43,5 +43,4 @@
 int
 spsub(c)
-char c;
 {
 	return((*buff++ = c) & 0xFF);
Index: lib700/ctype.c
===================================================================
--- lib700/ctype.c	(revision b8080f695fcc24dc108f603131b9e7d11393920f)
+++ lib700/ctype.c	(revision 06ccda27cf5f75746fcc4136947567c493a00bec)
@@ -32,8 +32,5 @@
 #else
 
-___atab()
-{
-	return;
-}
+___atab() { return; }	/* dummy function to force the loader to see __atab */
 
 char __atab[] = {	/* EOF won't work properly with this table */
Index: lib700/mangle.c
===================================================================
--- lib700/mangle.c	(revision b8080f695fcc24dc108f603131b9e7d11393920f)
+++ lib700/mangle.c	(revision 06ccda27cf5f75746fcc4136947567c493a00bec)
@@ -22,7 +22,7 @@
 long
 mangle(bitmap, nb, ib)
-register long *bitmap;
-register short nb;
-register long ib;
+register long *bitmap;		/* bit map table pointer */
+register short nb;		/* number of least significant input bits */
+register long ib;		/* input data (in nb least significant bits) */
 {
 	register long	bm;			/* scan mask */
Index: libcio/fgets.c
===================================================================
--- libcio/fgets.c	(revision b8080f695fcc24dc108f603131b9e7d11393920f)
+++ libcio/fgets.c	(revision 06ccda27cf5f75746fcc4136947567c493a00bec)
@@ -61,5 +61,5 @@
 FILE *fp;
 {
-	register int c;
+	register c;
 	register char *cp;
 
Index: libcio/fprintf.c
===================================================================
--- libcio/fprintf.c	(revision b8080f695fcc24dc108f603131b9e7d11393920f)
+++ libcio/fprintf.c	(revision 06ccda27cf5f75746fcc4136947567c493a00bec)
@@ -36,5 +36,4 @@
 int
 fpsub(c)
-int c;
 {
 	return(aputc(c, Stream));
Index: ram/m7menu.c
===================================================================
--- ram/m7menu.c	(revision b8080f695fcc24dc108f603131b9e7d11393920f)
+++ ram/m7menu.c	(revision 06ccda27cf5f75746fcc4136947567c493a00bec)
@@ -56,5 +56,5 @@
 static char	ml01[61], ml02[61], ml03[61], ml04[61], ml05[61];
 
-short	mdselbx();
+short	mdselbx(), mdpoint();
 
 /* 
Index: ram/scfield.c
===================================================================
--- ram/scfield.c	(revision b8080f695fcc24dc108f603131b9e7d11393920f)
+++ ram/scfield.c	(revision 06ccda27cf5f75746fcc4136947567c493a00bec)
@@ -282,5 +282,5 @@
 */
 
-short
+short		/* null et_... */
 et_null()
 {
@@ -288,5 +288,5 @@
 }
 
-short
+short		/* null ef_... */
 ef_null()
 {
@@ -294,5 +294,5 @@
 }
 
-short
+short		/* null rd_... */
 rd_null()
 {
@@ -300,5 +300,5 @@
 }
 
-short
+short		/* null nd_... */
 nd_null()
 {
